package com.sd.cavphmi.ui.fragment

import androidx.lifecycle.ViewModelProvider
import com.sd.cavphmi.BR
import com.sd.cavphmi.R
import com.sd.cavphmi.base.BaseFragment
import com.sd.cavphmi.base.MyBaseViewModel
import com.sd.cavphmi.databinding.FragmentMapMainBinding
import com.sd.cavphmi.viewmodels.AvpMapVM
import dagger.hilt.android.AndroidEntryPoint


// the fragment initialization parameters, e.g. ARG_ITEM_NUMBER
//private const val ARG_PARAM1 = "param1"
//private const val ARG_PARAM2 = "param2"


@AndroidEntryPoint
class MapMainFragment : BaseFragment<FragmentMapMainBinding, AvpMapVM>() {

//    private var param1: String? = null
//    private var param2: String? = null
//
//    override fun onCreate(savedInstanceState: Bundle?) {
//        super.onCreate(savedInstanceState)
//        arguments?.let {
//            param1 = it.getString(ARG_PARAM1)
//            param2 = it.getString(ARG_PARAM2)
//        }
//    }//    // T


    override fun getStatuBarColor(): Int {
        return -1
    }

    override fun isAutoStatusBarDarkModeEnable(): Boolean {
        return false
    }

    override fun initContentView(): Int {
        return R.layout.fragment_map_main
    }

    override fun initViewModel(): AvpMapVM {
        return ViewModelProvider(this).get(AvpMapVM::class.java)
    }

    override fun initVariableId(): Int {
        return BR.vm
    }


    override fun initView() {

    }

    override fun initListener() {
    }


    override fun getToData() {

    }


    companion object {

        @JvmStatic
        fun newInstance() = MapMainFragment()
//        @JvmStatic
//        fun newInstance(param1: String, param2: String) =
//            MapMainFragment().apply {
//                arguments = Bundle().apply {
//                    putString(ARG_PARAM1, param1)
//                    putString(ARG_PARAM2, param2)
//                }
//            }

    }
}